无法在Firebase中访问zzbql

当我更新到最新的buildToolsVersion '25 .0.2'时,我尝试运行时出现此错误:

错误:(103,37)错误:无法访问com.google.android.gms.internal.zzbql的zzbql类文件

我正在使用这些Firebase库:

compile 'com.google.firebase:firebase-auth:10.0.1' compile 'com.google.firebase:firebase-messaging:10.0.1' compile 'com.google.firebase:firebase-core:10.0.1' compile 'com.google.firebase:firebase-crash:10.0.1' 

Solutions Collecting From Web of "无法在Firebase中访问zzbql"

升级您的firebase版本10.2.0

**截至2017年11月7日,为11.6.0

解决这个问题的答案确实是在@DenerRocha的回复中将Firebase升级到10.2.0。

但是,下次google-play-services更新时,您可能会再次遇到同样的问题。 问题是,编译器警告你,有一个新的谷歌播放服务版本,但不这样做的Firebase。 所以请记住以下几点:

当你有这个:

 compile 'com.google.android.gms:play-services-auth:10.2.0' 

您的Firebase将是:

 compile 'com.google.firebase:firebase-core:10.2.0' compile 'com.google.firebase:firebase-messaging:10.2.0' compile 'com.google.firebase:firebase-auth:10.2.0' 

当10.3.0发布时,你必须将它们全部更新到10.3.0